=== debian/changelog ===
libcrush (1.0.0-8) unstable; urgency=medium

  * autopkgtest run depends on libc-dev

 -- Loic Dachary (OuoU) <loic@debian.org>  Sun, 12 Feb 2017 23:19:34 +0100

libcrush (1.0.0-7) unstable; urgency=medium

  * autopkgtest should ignore stderr
  * patches: cannonical manpage name

 -- Loic Dachary (OuoU) <loic@debian.org>  Sun, 12 Feb 2017 18:33:47 +0100

libcrush (1.0.0-6) unstable; urgency=medium

  * autopkgtest run depends on libc-dev

 -- Loic Dachary (OuoU) <loic@debian.org>  Sun, 12 Feb 2017 00:43:06 +0100

libcrush (1.0.0-5) unstable; urgency=medium

  * autopkgtest run depends on libcrush-dev

 -- Loic Dachary (OuoU) <loic@debian.org>  Sat, 11 Feb 2017 21:45:55 +0100

libcrush (1.0.0-4) unstable; urgency=medium

  * autopkgtest run depends on pkg-config

 -- Loic Dachary (OuoU) <loic@debian.org>  Sat, 11 Feb 2017 16:54:01 +0100

libcrush (1.0.0-3) unstable; urgency=medium

  * autopkgtest depends on gcc
  * update Standards-Version to 3.9.8

 -- Loic Dachary (OuoU) <loic@debian.org>  Sat, 11 Feb 2017 13:53:39 +0100

libcrush (1.0.0-2) unstable; urgency=medium

  * add missing copyright attribution (Closes: #854831).

 -- Loic Dachary (OuoU) <loic@debian.org>  Sat, 11 Feb 2017 00:15:47 +0100

libcrush (1.0.0-1) unstable; urgency=low

  * Initial release
  * Closes: #854045

 -- Loic Dachary (OuoU) <loic@debian.org>  Mon, 30 Jan 2017 00:22:32 +0200
