=== debian/control ===
Source: libcrush
Priority: optional
Section: devel
Maintainer: Loic Dachary (OuoU) <loic@debian.org>
Build-Depends: debhelper (>= 10.0.0), cmake, doxygen
Standards-Version: 3.9.8

Package: libcrush-dev
Section: libdevel
Architecture: any
Depends: ${misc:Depends}, libcrush1 (= ${binary:Version}), pkg-config
Description: C library to control placement in a hierarchy development files
 libcrush maps an object signature to a list of devices on which to
 store the object. It is implemented as a pseudo-random, deterministic
 function obeying user specified placement constraints such as: the
 object must be stored on devices that are on two different machines.

Package: libcrush1
Section: libs
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: C library to control placement in a hierarchy
 libcrush maps an object signature to a list of devices on which to
 store the object. It is implemented as a pseudo-random, deterministic
 function obeying user specified placement constraints such as: the
 object must be stored on devices that are on two different machines.
