=== debian/tests/control ===
Tests: run-example
Depends: libcrush-dev, libc-dev, gcc
Restrictions: allow-stderr
